import owlift
import cv2
import numpy as np

ows = owlift.devices()
ow = ows[0]
wx, wy = ow.frame_size

winName = 'Thermography'
cv2.namedWindow(winName, cv2.WINDOW_NORMAL)
cv2.resizeWindow(winName, wx * 4, wy * 4)

ow.agc_range = (0, 305)

fc0 = 0
ow.capture_start()

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        c = cv2.waitKey(30)
        if c == 27:
            break
        continue

    fc0 = fc
    temp, img, meta = ow.frame

    cv2.imshow(winName, img)
