import owlift
import time

ows = owlift.devices()
ow = ows[0]

fc0 = 0
ow.capture_start()
ow.raw_record_start("raw.owi")

while ow.alive:
    fc = ow.frame_counter
    if fc == fc0:
        time.sleep(0.05)
        continue

    fc0 = fc
    temp, img, meta = ow.frame
    ow.raw_record_add()
    print("{0:d} frames".format(fc))

